/* ************************************************************************** */
/*                                                                            */
/*                                                        ::::::::            */
/*   builtin.h                                          :+:    :+:            */
/*                                                     +:+                    */
/*   By: whaffman <whaffman@student.codam.nl>         +#+                     */
/*                                                   +#+                      */
/*   Created: 2025/02/20 11:09:02 by whaffman      #+#    #+#                 */
/*   Updated: 2025/02/26 15:44:47 by whaffman      ########   odam.nl         */
/*                                                                            */
/* ************************************************************************** */

#ifndef BUILTIN_H
# define BUILTIN_H
# include "minishell.h"

int	is_builtin(char *cmd);
int	builtin_router(t_minishell *msh, t_command *cmd);
int	builtin_echo(t_minishell *msh, t_command *cmd);
int	builtin_cd(t_minishell *msh, t_command *cmd);
int	builtin_pwd(t_minishell *msh, t_command *cmd);
int	builtin_export(t_minishell *msh, t_command *cmd);
int	builtin_unset(t_minishell *msh, t_command *cmd);
int	builtin_env(t_minishell *msh, t_command *cmd);
int	builtin_exit(t_minishell *msh, t_command *cmd);

#endif // BUILTIN_H
